#include "stdafx.h"
#include "qubacqctl.h"

#define QUB_COPYDATA_ACQ_NOTE                    101

DWORD WM_ACQ = 0;


HWND FindQuB()
{
	return FindWindow("TQUB_MainForm", NULL);
}

HWND FindQUBIO()
{
	HWND hQUBIO = FindWindow("QUBIOMainWindow", NULL);
	if ( ! hQUBIO ) return NULL;
	HWND hQUBIOmdi = FindWindowEx(hQUBIO, NULL, "MDIClient", NULL);
	if ( ! hQUBIOmdi ) return NULL;
	HWND hQUBIOsess = FindWindowEx(hQUBIOmdi, NULL, NULL, "QUBIO Session");
	if ( ! hQUBIOsess ) return NULL;
	return FindWindowEx(hQUBIOsess, NULL, NULL, NULL);
}

void SendQUBMessage(HWND target, int type, int action)
{
	if ( ! WM_ACQ )
		WM_ACQ = RegisterWindowMessage("WM_QUB_ACQ_CONTROL");
	PostMessage(target, WM_ACQ, type, action);
}

void SendQUBNote(HWND target, char *note)
{
	COPYDATASTRUCT cds;
	cds.dwData = QUB_COPYDATA_ACQ_NOTE;
	cds.cbData = strlen(note)+1;
	cds.lpData = note;
	SendMessage(target, WM_COPYDATA, 0, (LPARAM) &cds);
}

